BuildRequires: desktop-file-utils
Name: guvcview
Version: 1.4.4
Release: alt2.0.M60P.1

Summary: A GTK UVC video viewer
License: GPL
Group: Video
Url: http://guvcview.berlios.de/
Packager: Vladimir A. Svyatoshenko <svyt@altlinux.org>
Source: http://prdownload.berlios.de/guvcview/%name-src-%version.tar.gz
Patch0: %name-1.4.4-alt-glib2-2.32.0.patch

# From configure.ac
BuildPreReq: libSDL-devel >= 1.2.10

BuildRequires: libavcodec-devel libgtk+2-devel libportaudio2-devel libv4l-devel libpng-devel libudev-devel

%description
This project aims at providing a simple GTK interface for capturing and viewing video from devices supported by the linux UVC driver.
The software is based on luvcview  but uses a GTK interface, allowing for a more user friendly GUI

%prep
%setup -n %name-src-%version
%patch0 -p2

%build
%configure --disable-debian-menu

%make

%install
%makeinstall
mkdir -p %buildroot%_niconsdir
install -p -m644 %buildroot%_pixmapsdir/guvcview/guvcview.png %buildroot%_niconsdir/guvcview.png
rm -f %buildroot%_pixmapsdir/guvcview/guvcview.png
#ln -s %_niconsdir/guvcview.png %_pixmapsdir/guvcview/guvcview.png

%find_lang %name
desktop-file-install --dir %buildroot%_desktopdir \
	--add-category=Recorder \
	--add-category=Video \
	%buildroot%_desktopdir/guvcview.desktop

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%_man1dir/*
%_bindir/*
%_desktopdir/*
%_pixmapsdir/*
%_niconsdir/*

%changelog
* Mon May 14 2012 Andrey Cherepanov <cas@altlinux.org> 1.4.4-alt2.0.M60P.1
- Rebuild with new version of libav

* Wed Apr 04 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.4-alt2.1
- Fixed build with new glib2

* Wed Sep 14 2011 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.4.4-alt2
- rebuilt with recent libav

* Tue Jun 07 2011 Repocop Q. A. Robot <repocop@altlinux.org> 1.4.4-alt1.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * freedesktop-desktop-file-proposed-patch for guvcview

* Tue Mar  8 2011 Terechkov Evgenii <evg@altlinux.org> 1.4.4-alt1
- 1.4.4

* Tue Aug 10 2010 Terechkov Evgenii <evg@altlinux.ru> 1.4.1-alt1
- 1.4.1
- Spec cleanup

* Mon Jul 27 2009 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.1.1-alt1.2
- fix spec

* Mon Jul 27 2009 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.1.1-alt1.1
- fix spec: change Group AudioVideo to Video

* Sun Jul 26 2009 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.1.1-alt1
- new version

* Thu Jun 25 2009 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.1.0-alt1
- new version

* Sun Apr 12 2009 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.0.4-alt1
- new version

* Thu Dec 11 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.9.6-alt1
- new version

* Mon Nov 03 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.9.4-alt1.2
- change iconpath from pixmapdirs to niconsdir

* Sun Oct 26 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.9.4-alt1.1
- rebuild

* Mon Oct 20 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.9.4-alt1.
- new version

* Sun Sep 07 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.9.3-alt1
- new version

* Tue Jul 22 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 0.9.2-alt1
- build for ALT Linux

